RootLog4jConfig (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins.log4j

## [Groovy] Class RootLog4jConfig

- org.codehaus.groovy.grails.plugins.log4j.RootLog4jConfig

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Log4jConfig` | `config`
    `org.apache.log4j.Logger` | `root`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RootLog4jConfig (java.lang.Object root, java.lang.Object config)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `all(java.lang.Object[] appenders = null)`
    `java.lang.Object` | `debug(java.lang.Object[] appenders = null)`
    `java.lang.Object` | `error(java.lang.Object[] appenders = null)`
    `java.lang.Object` | `fatal(java.lang.Object[] appenders = null)`
    `java.lang.Object` | `info(java.lang.Object[] appenders = null)`
    `java.lang.Object` | `off(java.lang.Object[] appenders = null)`
    `void` | `setProperty(java.lang.String s, java.lang.Object o)`
    `java.lang.Object` | `trace(java.lang.Object[] appenders = null)`
    `java.lang.Object` | `warn(java.lang.Object[] appenders = null)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### Log4jConfig config

    - #### org.apache.log4j.Logger root

  - ### Constructor Detail

    - #### RootLog4jConfig(java.lang.Object root, java.lang.Object config)

  - ### Method Detail

    - #### java.lang.Object all(java.lang.Object[] appenders = null)

    - #### java.lang.Object debug(java.lang.Object[] appenders = null)

    - #### java.lang.Object error(java.lang.Object[] appenders = null)

    - #### java.lang.Object fatal(java.lang.Object[] appenders = null)

    - #### java.lang.Object info(java.lang.Object[] appenders = null)

    - #### java.lang.Object off(java.lang.Object[] appenders = null)

    - #### void setProperty(java.lang.String s, java.lang.Object o)

    - #### java.lang.Object trace(java.lang.Object[] appenders = null)

    - #### java.lang.Object warn(java.lang.Object[] appenders = null)